#include <bits/stdc++.h>

using namespace std;

int main()
{
    long long a,n;
    long double s=0,p,proc,najvproc=0;
    cin>>n;
    vector<pair<long double,int>> v;
    for(int i=0;i<n;i++)
    {
        cin>>a>>p;
        v.push_back({p,a});
        s+=a;
    }
    sort(v.begin(), v.end());
    for(int i=0;i<n;i++)
    {
        proc=(s*v[i].first)/100.0;
        s-=v[i].second;
        if(najvproc<proc)
        {
            najvproc=proc;
        }
    }
    printf("%Lf",najvproc);
    return 0;
}